Loading...
Searching...
No Matches
DialogDia Class Reference

DialogDia. More...

`#include <dialogdia.h>`

Inheritance diagram for DialogDia:

## Public Member Functions

| DialogDia (const QString &title, const QString &text, const bool &ignore=true, const bool &discard=true, const bool &abort=true, QWidget *parent=nullptr)
| Dialog constructor. More...

## Private Slots

void | on_button_IGNORE_clicked ()
| Called when the IGNORE button gets clicked.
void | on_button_DISCARD_clicked ()
| Called when the DISCARD button gets clicked.
void | on_button_ABORT_clicked ()
| Called when the ABORT button gets clicked.

## Detailed Description

DialogDia.

DISCARD/IGNORE/ABORT choice dialog

## Constructor & Destructor Documentation

## DialogDia()

DialogDia::DialogDia | ( | const QString & | title,
|  | const QString & | text,
|  | const bool & | ignore = `true`,
|  | const bool & | discard = `true`,
|  | const bool & | abort = `true`,
|  | QWidget * | parent = `nullptr`
| ) |  |

Dialog constructor.

Parameters

  title | The title
  text | The message
  ignore | Whether to show the IGNORE button or not
  discard | Whether to show the DISCARD button or not
  abort | Whether to show the ABORT button or not
  parent | The parent Widget

The documentation for this class was generated from the following files:

- logdoctor/modules/dialogs/dialogdia.h
- logdoctor/modules/dialogs/dialogdia.cpp